# XCP-ng Xen Tools Installer

This repo is a quick installer for installing Xen Guest Tools 7.30.0-12 on a guest VM and is intended to be called from a CloudInit script without messing around with CD images.

`xen-tools.tgz` is the raw content of the `Linux` folder of XCP-ng guest tools CD.  This script downloads this, and installs it.

In CloudInit, it would be called with Runcmd like so:

```
runcmd:
  - curl https://git.straybits.ca/straybits/xe-guest-utils-installer/raw/branch/main/install.sh | sh
```

A more complete example...

```
#cloud-config
hostname: {name}
manage_etc_hosts: true
disable_root: false
users:
  - name: user
    groups: sudo
    sudo: ALL=(ALL) NOPASSWD:ALL
    lock_passwd: false
    passwd: $6$p
    ssh_authorized_keys:
      - ssh-rsa MY_SSH_KEY 
    shell: /bin/bash
  - name: root
    ssh_authorized_keys:
      - ssh-rsa MY_SSH_KEY 

package_update: true
package_upgrade: true

packages:
  - htop
  - nano

locale: en_US.UTF-8
timezone: America/Edmonton
runcmd:
  - curl https://git.straybits.ca/straybits/xe-guest-utils-installer/raw/branch/main/install.sh | sh

ssh_pwauth: False
```